Bug 28504 - Sound-state not restored at cards with dmabuf module-options
Summary: Sound-state not restored at cards with dmabuf module-options
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: initscripts   
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-02-20 20:57 UTC by Enrico Scholz
Modified: 2014-03-17 02:19 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-01 04:39:20 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Enrico Scholz 2001-02-20 20:57:46 UTC
actual initscripts are calling aumix to restore sound-settings of last
session if and only if the sound-modules has persistent DMA-buffers:

---- /etc/rc.d/rc.sysinit --------
: if grep -q "options sound dmabuf=1" /etc/modules.conf 2>/dev/null ; then
: ... action $"Loading mixer settings: " /bin/aumix-minimal -f
/etc/.aumixrc -L
: fi
----------------------------------

My ES1370 has not such a dmabuf option (at least `modinfo -p' says
this) and so the card keeps uninitialized. When starting gnome, the
sound-modules gets loaded when esd accesses /dev/dsp.

But then the last settings, usually loaded by the script above, are lost
and the card gets its own default settings.


There is existing a `post-install' command in /etc/modules.conf so the
sound-state restoring stuff can perhaps be taken from
initscripts. E.g. sndconfig could add an entry

: post-install sound /bin/aumix-minimal -f /etc/.aumixrc

Comment 1 Bill Nottingham 2001-02-20 22:58:35 UTC
Will be fixed in sndconfig-0.63-1 or so, and kudzu-0.96.8 or so.


Comment 2 Enrico Scholz 2001-03-01 04:39:16 UTC
Sorry, my suggestion contained an error which made the 'postinstall' rule
effectless:

aumix needs the '-L' option to load the settings, so to correct line should be

: post-install sound /bin/aumix-minimal -f /etc/.aumixrc -L

Comment 3 Bill Nottingham 2001-03-01 04:43:53 UTC
Duh, you're right. Will be fixed in 0.64.4, among others.


Note You need to log in before you can comment on or make changes to this bug.